org.wildfly.swarm.config.undertow.configuration

## Class ResponseHeader<T extends ResponseHeader<T>>

- java.lang.Object
- - org.wildfly.swarm.config.undertow.configuration.ResponseHeader<T>

-     public class ResponseHeader<T extends ResponseHeader<T>>
      extends Object

  Response header filter allows you to add custom headers.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResponseHeader(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `String` | `headerName()` Header name
    `T` | `headerName(String value)` Header name
    `String` | `headerValue()` Value for header
    `T` | `headerValue(String value)` Value for header
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResponseHeader

          public ResponseHeader(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### headerName

          public String headerName()

      Header name

    - #### headerName

          public T headerName(String value)

      Header name

    - #### headerValue

          public String headerValue()

      Value for header

    - #### headerValue

          public T headerValue(String value)

      Value for header

Copyright © 2018 JBoss by Red Hat. All rights reserved.